Artbox Comment
===============================

Artbox Comment is an extension for working with comments developed by Artweb written with [Yii 2 framework](http://www.yiiframework.com/).

Comment extension includes functionality for creating and maintaining comments on the website.

This extension works with Artbox Core application and enough to add fully functional comment system to the website.

To prepare your application you should run migrations:

    php yii migrate --migationPath=vendor/artweb/artbox-webcomment/migrations
    
To use comment system with customers you need to run additional migration:
    
    php yii migrate --migationPath=vendor/artweb/artbox-webcomment/order-to-comment/migrations
    
You also need to register artbox-comment module in your application:

    modules => [
        ...
        'artbox-comment' => [
            'class' => 'artbox\webcomment\Module',
            ...
        ],
        ...
    ]
    
Available additional configurations:

* enableRating - рейтинг на комментарие (default true)
* enablePremoderate - премодерация комментариев (default true)
* userIdentityClass - класс клиента (default \Yii::$app->user->identity)
* commentModelClass - класс комментария (default artweb\webcomment\models\CommentModel)
* ratingModelClass - класс рейтинга (default artweb\webcomment\models\RatingModel)


DIRECTORY STRUCTURE
-------------------

```
assets                   contains AssetBundles
behaviors                contains Behaviors classes
components               contains custom Classes, which don't belong to other groups
controllers              contains controllers for core models
helpers                  contains helper classes to manipulate, for example static files
                         and HTML
messages                 contains translations for core strings
migrations               contains migrations, which should be applied after extension
                         installation
models                   contains core models
views                    contains views files for core controllers
web                      contains assets and other files, which should be web available
widgets                  contains widgets
```
