<?php
    
    namespace artbox\webcomment\behaviors;
    
    use artbox\webcomment\models\CommentModel;
    use yii\base\Behavior;
    use yii\db\ActiveRecord;
    
    class ParentBehavior extends Behavior
    {
        
        public function events()
        {
            return [
                ActiveRecord::EVENT_AFTER_VALIDATE => 'afterValidate',
            ];
        }
        
        /**
         * After validate event
         */
        public function afterValidate()
        {
            /**
             * @var CommentModel $owner
             */
            $owner = $this->owner;
            if (!empty($owner->parent_id)) {
                /**
                 * @var CommentModel $parent
                 */
                $parent = CommentModel::find()
                                      ->where([ 'id' => $owner->parent_id ])
                                      ->one();
                if (!empty($parent->parent_id)) {
                    $owner->related_id = $owner->parent_id;
                    $owner->parent_id = $parent->parent_id;
                }
            }
        }
    }
    