<?php
    use artbox\webcomment\models\CommentModel;
    use yii\helpers\Html;
    use yii\web\View;
    use yii\widgets\ActiveForm;
    
    /**
     * @var View         $this
     * @var CommentModel $model
     * @var CommentModel $answer
     */
    
    $this->title = \Yii::t('artbox-comment', 'Ответить на комментарий') . '# ' . $model->id;
    
    $this->params[ 'breadcrumbs' ][] = [
        'label' => \Yii::t('artbox-comment', 'Комментарии'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>

<div class="comment-answer">
    
    <?php $form = ActiveForm::begin(); ?>
  <div class="form-group">
      <?= $form->field($answer, 'text')
               ->textarea() ?>

      <?= $form->field($answer, 'parent_id')
               ->hiddenInput(
                   [
                       'value' => $model->id,
                   ]
               )
               ->label(false) ?>

      <?= $form->field($answer, 'customer_id')
               ->hiddenInput(
                   [
                       'value' => 1,
                   ]
               )
               ->label(false) ?>
      
      <?= $form->field($answer, 'entity')
               ->hiddenInput(
                   [
                       'value' => $model->entity,
                   ]
               )
               ->label(false) ?>
      
      <?= $form->field($answer, 'entity_id')
               ->hiddenInput(
                   [
                       'value' => $model->entity_id,
                   ]
               )
               ->label(false) ?>
      
      <?= Html::submitButton(
          \Yii::t('artbox-comment', 'Ответить'),
          [ 'class' => 'btn btn-primary' ]
      ) ?>
  </div>
    
    <?php ActiveForm::end(); ?>

</div>
